Bug 839001 - rt3 upgrade from testing is missing dependencies
rt3 upgrade from testing is missing dependencies
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: rt3 (Show other bugs)
el6
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 11:28 EDT by Rainer Traut
Modified: 2012-07-31 12:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-31 12:58:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rainer Traut 2012-07-10 11:28:42 EDT
Description of problem:
I wanted to use a rt3 version w/o known security bugs so I tried upgrading from 
rt3.noarch 0:3.8.10-2.el6.1 to rt3.noarch 0:3.8.13-1.el6.1 from testing. This fails with dependency problems.

Version-Release number of selected component (if applicable):
[root@rt3 ~]# uname -a
Linux rt3.xxx.de 2.6.32-279.el6.x86_64 #1 SMP Wed Jun 13 18:24:36 EDT 2012 x86_64 x86_64 x86_64 GNU/Linux
[root@rt3 ~]# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 6.3 (Santiago)
[root@rt3 ~]# yum --enablerepo=epel-testing list rt3\*
Loaded plugins: downloadonly
Installed Packages
rt3.noarch                                                     3.8.10-2.el6.1                                            @epel
rt3-mailgate.noarch                                            3.8.10-2.el6.1                                            @epel
Available Packages
rt3.noarch                                                     3.8.13-1.el6.1                                            epel-testing
rt3-mailgate.noarch                                            3.8.13-1.el6.1                                            epel-testing


How reproducible:
# yum update rt3 --enablerepo=epel-testing 

Steps to Reproduce:
1. have rt3 from stable repo installed
2. try to upgrade to testing
3.
  
Actual results:
[root@rt3 ~]# yum update rt3 --enablerepo=epel-testing
...
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package rt3.noarch 0:3.8.10-2.el6.1 will be updated
---> Package rt3.noarch 0:3.8.13-1.el6.1 will be an update
--> Processing Dependency: perl() >= . for package:
rt3-3.8.13-1.el6.1.noarch
--> Processing Dependency: perl(Mail::SpamAssassin) for package:
rt3-3.8.13-1.el6.1.noarch
--> Running transaction check
---> Package rt3.noarch 0:3.8.13-1.el6.1 will be an update
--> Processing Dependency: perl() >= . for package:
rt3-3.8.13-1.el6.1.noarch
---> Package spamassassin.x86_64 0:3.3.1-2.el6 will be installed
--> Processing Dependency: perl(NetAddr::IP) >= 4.000 for package:
spamassassin-3.3.1-2.el6.x86_64
--> Processing Dependency: perl(Mail::DKIM) for package:
spamassassin-3.3.1-2.el6.x86_64
--> Processing Dependency: perl(IO::Socket::INET6) for package:
spamassassin-3.3.1-2.el6.x86_64
--> Processing Dependency: perl(Encode::Detect) for package:
spamassassin-3.3.1-2.el6.x86_64
--> Processing Dependency: perl(IO::Socket::SSL) for package:
spamassassin-3.3.1-2.el6.x86_64
--> Processing Dependency: perl(Net::DNS) for package:
spamassassin-3.3.1-2.el6.x86_64
--> Running transaction check
---> Package perl-Encode-Detect.x86_64 0:1.01-2.el6 will be installed
---> Package perl-IO-Socket-INET6.noarch 0:2.56-4.el6 will be installed
--> Processing Dependency: perl(Socket6) for package:
perl-IO-Socket-INET6-2.56-4.el6.noarch
---> Package perl-IO-Socket-SSL.noarch 0:1.31-2.el6 will be installed
--> Processing Dependency: perl(Net::SSLeay) >= 1.21 for package:
perl-IO-Socket-SSL-1.31-2.el6.noarch
--> Processing Dependency: perl(Net::LibIDN) for package:
perl-IO-Socket-SSL-1.31-2.el6.noarch
---> Package perl-Mail-DKIM.noarch 0:0.37-2.el6 will be installed
--> Processing Dependency: perl(Crypt::OpenSSL::RSA) for package:
perl-Mail-DKIM-0.37-2.el6.noarch
---> Package perl-Net-DNS.x86_64 0:0.65-4.el6 will be installed
--> Processing Dependency: perl(Digest::HMAC_MD5) for package:
perl-Net-DNS-0.65-4.el6.x86_64
---> Package perl-NetAddr-IP.x86_64 0:4.027-7.el6 will be installed
---> Package rt3.noarch 0:3.8.13-1.el6.1 will be an update
--> Processing Dependency: perl() >= . for package:
rt3-3.8.13-1.el6.1.noarch
--> Running transaction check
---> Package perl-Crypt-OpenSSL-RSA.x86_64 0:0.25-10.1.el6 will be
installed
--> Processing Dependency: perl(Crypt::OpenSSL::Bignum) for package:
perl-Crypt-OpenSSL-RSA-0.25-10.1.el6.x86_64
--> Processing Dependency: perl(Crypt::OpenSSL::Random) for package:
perl-Crypt-OpenSSL-RSA-0.25-10.1.el6.x86_64
---> Package perl-Digest-HMAC.noarch 0:1.01-22.el6 will be installed
---> Package perl-Net-LibIDN.x86_64 0:0.12-3.el6 will be installed
---> Package perl-Net-SSLeay.x86_64 0:1.35-9.el6 will be installed
---> Package perl-Socket6.x86_64 0:0.23-3.el6 will be installed
---> Package rt3.noarch 0:3.8.13-1.el6.1 will be an update
--> Processing Dependency: perl() >= . for package:
rt3-3.8.13-1.el6.1.noarch
--> Running transaction check
---> Package perl-Crypt-OpenSSL-Bignum.x86_64 0:0.04-8.1.el6 will be
installed
---> Package perl-Crypt-OpenSSL-Random.x86_64 0:0.04-9.1.el6 will be
installed
---> Package rt3.noarch 0:3.8.13-1.el6.1 will be an update
--> Processing Dependency: perl() >= . for package:
rt3-3.8.13-1.el6.1.noarch
--> Finished Dependency Resolution
Error: Package: rt3-3.8.13-1.el6.1.noarch (epel-testing)
            Requires: perl() >= .
  You could try using --skip-broken to work around the problem
  You could try running: rpm -Va --nofiles --nodigest 

Expected results:
have yum isntall the new rt3 version

Additional info:
Not quite sure but I could swear I tried the yum update command in rhel6.2 and this worked...?
Comment 1 Xavier Bachelot 2012-07-11 08:00:24 EDT
I have a fix locally. Will push a fixed build to epel-testing later today.
Comment 2 Fedora Update System 2012-07-11 17:24:03 EDT
rt3-3.8.13-1.el6.2 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rt3-3.8.13-1.el6.2
Comment 3 Fedora Update System 2012-07-12 18:33:05 EDT
Package rt3-3.8.13-1.el6.2:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing rt3-3.8.13-1.el6.2'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6374/rt3-3.8.13-1.el6.2
then log in and leave karma (feedback).
Comment 4 Rainer Traut 2012-07-13 03:56:01 EDT
Yes, update works now:

[root@rt3 backups]# yum update rt3\* --enablerepo=epel-testing -y
Loaded plugins: downloadonly
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package rt3.noarch 0:3.8.10-2.el6.1 will be updated
---> Package rt3.noarch 0:3.8.13-1.el6.2 will be an update
---> Package rt3-mailgate.noarch 0:3.8.10-2.el6.1 will be updated
---> Package rt3-mailgate.noarch 0:3.8.13-1.el6.2 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================================
 Package                         Arch                      Version                             Repository                       Size
=====================================================================================================================================
Updating:
 rt3                             noarch                    3.8.13-1.el6.2                      epel-testing                    2.4 M
 rt3-mailgate                    noarch                    3.8.13-1.el6.2                      epel-testing                     29 k

Transaction Summary
=====================================================================================================================================
Upgrade       2 Package(s)

Total download size: 2.4 M
Downloading Packages:
(1/2): rt3-3.8.13-1.el6.2.noarch.rpm                                                                          | 2.4 MB     00:01
(2/2): rt3-mailgate-3.8.13-1.el6.2.noarch.rpm                                                                 |  29 kB     00:00
-------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                377 kB/s | 2.4 MB     00:06
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : rt3-mailgate-3.8.13-1.el6.2.noarch                                                                                1/4
  Updating   : rt3-3.8.13-1.el6.2.noarch                                                                                         2/4
  Cleanup    : rt3-3.8.10-2.el6.1.noarch                                                                                         3/4
  Cleanup    : rt3-mailgate-3.8.10-2.el6.1.noarch                                                                                4/4
  Verifying  : rt3-mailgate-3.8.13-1.el6.2.noarch                                                                                1/4
  Verifying  : rt3-3.8.13-1.el6.2.noarch                                                                                         2/4
  Verifying  : rt3-3.8.10-2.el6.1.noarch                                                                                         3/4
  Verifying  : rt3-mailgate-3.8.10-2.el6.1.noarch                                                                                4/4

Updated:
  rt3.noarch 0:3.8.13-1.el6.2                                  rt3-mailgate.noarch 0:3.8.13-1.el6.2

Complete!
Comment 5 Rainer Traut 2012-07-13 03:58:45 EDT
But there is still a small issue with:

[root@rt3 ~]# rt-setup-database --dba root --prompt-for-dba-password --action upgrade
In order to create or update your RT database, this script needs to connect to your  mysql instance on localhost as root
Please specify that user's database password below. If the user has no database
password, just press return.

Password:
Working with:
Type:   mysql
Host:   localhost
Name:   rt3
User:   rt_user
DBA:    root
Couldn't finish 'upgrade' step.

ERROR: Couldn't read dir './etc/upgrade' with upgrade data

I have to manually do:

[root@rt3 ~]# ln -s /etc/rt3/upgrade/ /etc/

to get this working.
Comment 6 Fedora Update System 2012-07-31 12:58:15 EDT
rt3-3.8.13-1.el6.2 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.